import { Logger } from "../index";
declare class ConsoleLogger extends Logger {
    protected _count: number;
    normalizeParams(): void;
    /**
     * Prefixing with level and/or custom job prefix
     * Using the appropriate level's console method
     * @param {string} level - Criticity level of the log message
     * @param {any[]} args - every data to log
     */
    _log(level: any, ...args: any[]): void;
    getCount(): number;
    static getModda(): {
        uuid: string;
        label: string;
        description: string;
        webcomponents: any[];
        logo: string;
        configuration: {
            schema: {
                type: string;
                properties: {
                    logLevel: {
                        type: string;
                        value: string;
                    };
                    logLevels: {
                        type: string;
                        value: string;
                    };
                };
            };
        };
    };
}
export { ConsoleLogger };
